@extends('layouts.pro-logged-in')
@section('content')

    <div class="form-contents"><div class="failed-form-contents">

    <h4 class="d-flex m-0 p-3 stag-heading stag-heading-modal">
        <div>Facilities: Add New</div>
        <div class="ml-auto">
            <a class="text-secondary" href="{{route('facilities-index')}}" up-close>
                <i class="fa fa-times"></i>
            </a>
        </div>
    </h4>

    <form action="/post-to-api"
          up-target="#main-content" up-history="false" up-fail-target=".failed-form-contents" up-reveal="false"
          method="post" enctype="multipart/form-data"
          class="border-top px-3 pt-3 pb-1 custom-submit">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/facility/create">
        <input type="hidden" name="_success" value="{{route('facilities-index')}}">
        <input type="hidden" name="_return" value="{{route('facilities-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Name </label>
<input class='form-control' type='text' name='name' value='{{ old('name') ? old('name') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Full </label>
<input class='form-control' type='text' name='addressFull' value='{{ old('addressFull') ? old('addressFull') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Line 1 </label>
<input class='form-control' type='text' name='addressLine1' value='{{ old('addressLine1') ? old('addressLine1') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Line 2 </label>
<input class='form-control' type='text' name='addressLine2' value='{{ old('addressLine2') ? old('addressLine2') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address City </label>
<input class='form-control' type='text' name='addressCity' value='{{ old('addressCity') ? old('addressCity') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address State </label>
<input class='form-control' type='text' name='addressState' value='{{ old('addressState') ? old('addressState') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Zip </label>
<input class='form-control' type='text' name='addressZip' value='{{ old('addressZip') ? old('addressZip') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Country </label>
<input class='form-control' type='text' name='addressCountry' value='{{ old('addressCountry') ? old('addressCountry') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Geo Lat </label>
<input class='form-control' type='number' name='addressGeoLat' value='{{ old('addressGeoLat') ? old('addressGeoLat') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Address Geo Long </label>
<input class='form-control' type='number' name='addressGeoLong' value='{{ old('addressGeoLong') ? old('addressGeoLong') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Phone </label>
<input class='form-control' type='text' name='phone' value='{{ old('phone') ? old('phone') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Fax </label>
<input class='form-control' type='text' name='fax' value='{{ old('fax') ? old('fax') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Hours </label>
<input class='form-control' type='number' name='hours' value='{{ old('hours') ? old('hours') : '' }}' >
</div>
        <div class="form-group mb-3 d-flex justify-content-center">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('facilities-index')}}" class="btn btn-sm btn-default px-5" up-close>Cancel</a>
        </div>
    </form>

    </div></div>

@endsection
