@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Bills: Add New For Note</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('bills-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/bill/createForNote">
        <input type="hidden" name="_success" value="{{route('bills-index')}}">
        <input type="hidden" name="_return" value="{{route('bills-add_new_for_note')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Note</label>
<select class='form-control' name='noteUid' value='{{ old('noteUid') ? old('noteUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('note')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('noteUid') ? old('noteUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->uid ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Effective Date</label>
<input class='form-control' type='date' name='effectiveDate' value='{{ old('effectiveDate') ? old('effectiveDate') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Code</label>
<input class='form-control' type='text' name='code' value='{{ old('code') ? old('code') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 1</label>
<input class='form-control' type='text' name='reason1' value='{{ old('reason1') ? old('reason1') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 2</label>
<input class='form-control' type='text' name='reason2' value='{{ old('reason2') ? old('reason2') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 3</label>
<input class='form-control' type='text' name='reason3' value='{{ old('reason3') ? old('reason3') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 3Plus</label>
<input class='form-control' type='text' name='reason3Plus' value='{{ old('reason3Plus') ? old('reason3Plus') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Service Location</label>
<input class='form-control' type='text' name='serviceLocation' value='{{ old('serviceLocation') ? old('serviceLocation') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Modifier</label>
<input class='form-control' type='text' name='modifier' value='{{ old('modifier') ? old('modifier') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Number Of Units</label>
<input class='form-control' type='number' name='numberOfUnits' value='{{ old('numberOfUnits') ? old('numberOfUnits') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('bills-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
