@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Care Months: Add New</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('care_months-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/careMonth/create">
        <input type="hidden" name="_success" value="{{route('care_months-index')}}">
        <input type="hidden" name="_return" value="{{route('care_months-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Client</label>
<select class='form-control' name='clientUid' value='{{ old('clientUid') ? old('clientUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('client')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('clientUid') ? old('clientUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Start Date</label>
<input class='form-control' type='date' name='startDate' value='{{ old('startDate') ? old('startDate') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('care_months-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
