@extends('pro.clients.view')
@section('content-inner')

    <div class="form-contents"><div class="failed-form-contents">

    <h4 class="d-flex m-0 p-3 stag-heading stag-heading-modal">
        <div>Update Mcp Onboarding Visit Info</div>
        <div class="ml-auto">
            <a class="text-secondary" href="#" up-close>
                <i class="fa fa-times"></i>
            </a>
        </div>
    </h4>

    <form action="/post-to-api"
          up-target="#main-content" up-history="false" up-fail-target=".failed-form-contents" up-reveal="false"
          method="post" enctype="multipart/form-data"
          class="border-top px-3 pt-3 pb-1 custom-submit">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_uid" value="{{ $record->uid }}">
        <input type="hidden" name="_api" value="/api/client/updateMcpOnboardingVisitInfo">
        <input type="hidden" name="_success" value="{{route('clients-view', ['uid' => $record->uid])}}">
        <input type="hidden" name="_return" value="{{route('clients_SINGLE-ACTION_updateMcpOnboardingVisitInfo', ['uid' => $record->uid])}}">
        <div class='form-group mb-3'>
<label class='control-label'>Has Mcp Done Onboarding Visit *</label>
<select class='form-control' name='hasMcpDoneOnboardingVisit' value='{{ old('hasMcpDoneOnboardingVisit') ? old('hasMcpDoneOnboardingVisit') : $record->has_mcp_done_onboarding_visit }}' required>
<option value=''>-- Select --</option>
<option <?= 'YES' === (old('hasMcpDoneOnboardingVisit') ? old('hasMcpDoneOnboardingVisit') : $record->has_mcp_done_onboarding_visit) ? 'selected' : '' ?> value='YES'>YES</option>
<option <?= 'NO' === (old('hasMcpDoneOnboardingVisit') ? old('hasMcpDoneOnboardingVisit') : $record->has_mcp_done_onboarding_visit) ? 'selected' : '' ?> value='NO'>NO</option>
<option <?= 'UNKNOWN' === (old('hasMcpDoneOnboardingVisit') ? old('hasMcpDoneOnboardingVisit') : $record->has_mcp_done_onboarding_visit) ? 'selected' : '' ?> value='UNKNOWN'>UNKNOWN</option>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Mcp Onboarding Visit Date *</label>
<input class='form-control' type='date' name='mcpOnboardingVisitDate' value='{{ old('mcpOnboardingVisitDate') ? old('mcpOnboardingVisitDate') : $record->mcp_onboarding_visit_date }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Mcp Onboarding Visit Note </label>
<select class='form-control' name='mcpOnboardingVisitNoteUid' value='{{ old('mcpOnboardingVisitNoteUid') ? old('mcpOnboardingVisitNoteUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('note')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('mcpOnboardingVisitNoteUid') ? old('mcpOnboardingVisitNoteUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->title ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason Onboarding Visit Note Outside System </label>
<input class='form-control' type='text' name='reasonOnboardingVisitNoteOutsideSystem' value='{{ old('reasonOnboardingVisitNoteOutsideSystem') ? old('reasonOnboardingVisitNoteOutsideSystem') : $record->reason_onboarding_visit_note_outside_system }}' >
</div>
        <div class="form-group mb-3 d-flex justify-content-center">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('clients-view', ['uid' => $record->uid])}}" class="btn btn-sm btn-default px-5" up-close>Cancel</a>
        </div>
    </form>

    </div></div>

@endsection
