@extends('pro.clients.view')
@section('content-inner')

    <div class="row mt-3">
    <div class="col-12">

        <div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Source
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editSource' title='Update source?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Source</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Source</td><td class="w-75 px-2 font-weight-bold"><?= $record->source ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Source Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->source_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Source At</td><td class="w-75 px-2 font-weight-bold"><?= friendly_date_time($record->source_at) ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Source Detail</td><td class="w-75 px-2 font-weight-bold"><?= $record->source_detail ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Source Client</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_clients, 'name_display', [['id', '=', $record->source_client_id], ], 'all'); ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Source Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->source_pro_id], ], 'all'); ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Source Facility</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_facilities, 'name', [['id', '=', $record->source_facility_id], ], 'all'); ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Duplicate
                <span class="ml-auto"><!-- __GROUP_ACTION__ --></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Duplicate</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_duplicate ?>@if(! $record->is_duplicate) <a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsDuplicateToTrue?optimised=1' title='Set as duplicate of' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set As Duplicate Of</span></a> @endif
@if( $record->is_duplicate) <a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsDuplicateToFalse?optimised=1' title='Set as not duplicate' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set As Not Duplicate</span></a> @endif</td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Duplicate of Client</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_clients, 'name_display', [['id', '=', $record->duplicate_of_client_id], ], 'all'); ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Name
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editName' title='Edit name?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Name</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Name Prefix</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_prefix ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name First</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_first ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Middle</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_middle ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Last</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_last ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Suffix</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_suffix ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Credential</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_credential ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Nickname</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_nickname ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Maiden</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_maiden ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Name Previous</td><td class="w-75 px-2 font-weight-bold"><?= $record->name_previous ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Dob
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editDob' title='Edit DOB?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit DOB</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Date of Birth</td><td class="w-75 px-2 font-weight-bold"><?= $record->dob ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Demographics
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editDemographics' title='Edit demographics?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Demographics</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Sex</td><td class="w-75 px-2 font-weight-bold"><?= $record->sex ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Gender Identity</td><td class="w-75 px-2 font-weight-bold"><?= $record->gender_identity ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Sexual Orientation</td><td class="w-75 px-2 font-weight-bold"><?= $record->sexual_orientation ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Sexually Active</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_sexually_active ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Sexually Active Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->sexually_active_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Marital Status</td><td class="w-75 px-2 font-weight-bold"><?= $record->marital_status ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Spouse
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editSpouse' title='Edit spouse?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Spouse</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Spouse Relationship</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_relationships, 'name_display', [['id', '=', $record->spouse_relationship_id], ], 'all'); ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Intake
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editIntakeDetails' title='Edit intake details?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Intake Details</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Intake Text</td><td class="w-75 px-2 font-weight-bold"><?= $record->intake_text ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Intake Detail</td><td class="w-75 px-2 font-weight-bold"><?= $record->intake_detail ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Responsible party
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editResponsibleParty' title='Edit responsible party?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Responsible Party</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Responsible Party Someone Else</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_responsible_party_someone_else ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Responsible Party Relationship</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_relationships, 'name_display', [['id', '=', $record->responsible_party_relationship_id], ], 'all'); ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Emergency relationship
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editEmergencyRelationship' title='Edit emergency relationship?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Emergency Relationship</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Emergency Relationship</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_relationships, 'name_display', [['id', '=', $record->emergency_relationship_id], ], 'all'); ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Family
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editFamilyInfo' title='Edit family info?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Family Info</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Mother Relationship</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_relationships, 'name_display', [['id', '=', $record->mother_relationship_id], ], 'all'); ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mother Maiden Name</td><td class="w-75 px-2 font-weight-bold"><?= $record->mother_maiden_name ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Father Relationship</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_relationships, 'name_display', [['id', '=', $record->father_relationship_id], ], 'all'); ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Number Of Siblings</td><td class="w-75 px-2 font-weight-bold"><?= $record->number_of_siblings ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Birth Order</td><td class="w-75 px-2 font-weight-bold"><?= $record->birth_order ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Multiple Birth Member</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_multiple_birth_member ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Contact details
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editContactDetails' title='Edit contact details?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Contact Details</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Phone Home</td><td class="w-75 px-2 font-weight-bold"><?= $record->phone_home ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Phone Mobile</td><td class="w-75 px-2 font-weight-bold"><?= $record->phone_mobile ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Phone Work</td><td class="w-75 px-2 font-weight-bold"><?= $record->phone_work ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Phone Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->phone_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Email Personal Primary</td><td class="w-75 px-2 font-weight-bold"><?= $record->email_personal_primary ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Email Personal Secondary</td><td class="w-75 px-2 font-weight-bold"><?= $record->email_personal_secondary ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Email Work Primary</td><td class="w-75 px-2 font-weight-bold"><?= $record->email_work_primary ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Email Work Secondary</td><td class="w-75 px-2 font-weight-bold"><?= $record->email_work_secondary ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Send Reminders By Email</td><td class="w-75 px-2 font-weight-bold"><?= $record->send_reminders_by_email ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Send Reminders By Text</td><td class="w-75 px-2 font-weight-bold"><?= $record->send_reminders_by_text ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Send Reminders By Phone</td><td class="w-75 px-2 font-weight-bold"><?= $record->send_reminders_by_phone ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Cell number
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putNewCellNumber' title='Put new cell number?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put New Cell Number</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Cell Number</td><td class="w-75 px-2 font-weight-bold"><?= $record->cell_number ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_sendCellNumberConfirmationMessage?optimised=1' title='sendCellNumberConfirmationMessage' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Send Cell Number Confirmation Message</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Cell Number Confirmation Pending </td><td class="w-75 px-2 font-weight-bold"><?= $record->is_cell_number_confirmation_pending  ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cell Number Confirmation Token</td><td class="w-75 px-2 font-weight-bold"><?= $record->cell_number_confirmation_token ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Cell Number Confirmed </td><td class="w-75 px-2 font-weight-bold"><?= $record->is_cell_number_confirmed  ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cell Number Confirmed At</td><td class="w-75 px-2 font-weight-bold"><?= friendly_date_time($record->cell_number_confirmed_at) ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Email Address
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putNewEmailAddress' title='Put new email address?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put New Email Address</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Email Address</td><td class="w-75 px-2 font-weight-bold"><?= $record->email_address ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_sendEmailAddressConfirmationMessage?optimised=1' title='sendEmailAddressConfirmationMessage' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Send Email Address Confirmation Message</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_confirmEmailAddressWithConfirmationToken?optimised=1' title='confirmEmailAddressWithConfirmationToken' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Confirm Email Address With Confirmation Token</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Email Address Confirmation Pending</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_email_address_confirmation_pending ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Email Address Confirmation Token</td><td class="w-75 px-2 font-weight-bold"><?= $record->email_address_confirmation_token ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Email Address Confirmed</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_email_address_confirmed ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Email Address Confirmed At</td><td class="w-75 px-2 font-weight-bold"><?= friendly_date_time($record->email_address_confirmed_at) ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Credentials
                <span class="ml-auto"><!-- __GROUP_ACTION__ --></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Username</td><td class="w-75 px-2 font-weight-bold"><?= $record->username ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Address
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editAddress' title='Edit address?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Address</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Same Address For Home And Mailing</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_same_address_for_home_and_mailing ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address Line1</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_line1 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address Line2</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_line2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address City</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_city ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address State</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address Zip</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_zip ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address Geo Lat</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_geo_lat ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Home Address Geo Long</td><td class="w-75 px-2 font-weight-bold"><?= $record->home_address_geo_long ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address Line1</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_line1 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address Line2</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_line2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address City</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_city ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address State</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address Zip</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_zip ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address Geo Lat</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_geo_lat ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mailing Address Geo Long</td><td class="w-75 px-2 font-weight-bold"><?= $record->mailing_address_geo_long ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Has Secondary Address</td><td class="w-75 px-2 font-weight-bold"><?= $record->has_secondary_address ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Reason For Secondary Address</td><td class="w-75 px-2 font-weight-bold"><?= $record->reason_for_secondary_address ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">When Is Client At Secondary Address</td><td class="w-75 px-2 font-weight-bold"><?= $record->when_is_client_at_secondary_address ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Same Secondary Address For Home And Mailing</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_same_secondary_address_for_home_and_mailing ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address Line1</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_line1 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address Line2</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_line2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address City</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_city ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address State</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address Zip</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_zip ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address Geo Lat</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_geo_lat ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Home Address Geo Long</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_home_address_geo_long ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address Line1</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_line1 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address Line2</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_line2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address City</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_city ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address State</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address Zip</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_zip ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address Geo Lat</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_geo_lat ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Secondary Mailing Address Geo Long</td><td class="w-75 px-2 font-weight-bold"><?= $record->secondary_mailing_address_geo_long ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Misc. Demographics
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editMiscDemographics' title='Update misc. demographics?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Misc. Demographics</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Citizenships</td><td class="w-75 px-2 font-weight-bold"><?= $record->citizenships ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Education</td><td class="w-75 px-2 font-weight-bold"><?= $record->education ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Birth Country</td><td class="w-75 px-2 font-weight-bold"><?= $record->birth_country ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Birth State</td><td class="w-75 px-2 font-weight-bold"><?= $record->birth_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Birth City</td><td class="w-75 px-2 font-weight-bold"><?= $record->birth_city ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Nationality</td><td class="w-75 px-2 font-weight-bold"><?= $record->nationality ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Religious Affiliation</td><td class="w-75 px-2 font-weight-bold"><?= $record->religious_affiliation ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Religious Facility Id</td><td class="w-75 px-2 font-weight-bold"><?= $record->religious_facility_id ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is On Special Diet</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_on_special_diet ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Special Diet Category</td><td class="w-75 px-2 font-weight-bold"><?= $record->special_diet_category ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Special Diet Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->special_diet_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Preferred Language</td><td class="w-75 px-2 font-weight-bold"><?= $record->preferred_language ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Other Languages</td><td class="w-75 px-2 font-weight-bold"><?= $record->other_languages ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">English Level</td><td class="w-75 px-2 font-weight-bold"><?= $record->english_level ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Driver License State</td><td class="w-75 px-2 font-weight-bold"><?= $record->driver_license_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Driver License Number</td><td class="w-75 px-2 font-weight-bold"><?= $record->driver_license_number ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Hispanic</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_hispanic ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Black Oraa</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_black_oraa ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Ethnicities</td><td class="w-75 px-2 font-weight-bold"><?= $record->ethnicities ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Race</td><td class="w-75 px-2 font-weight-bold"><?= $record->race ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Specific Races</td><td class="w-75 px-2 font-weight-bold"><?= $record->specific_races ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Deceased
                <span class="ml-auto"><!-- __GROUP_ACTION__ --></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Deceased</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_deceased ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsDeceasedToTrue?optimised=1' title='setIsDeseasedToTrue' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set Is Deseased To True</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsDeceasedToFalse?optimised=1' title='setIsDeseasedToFalse' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set Is Deseased To False</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Date And Time Of Death</td><td class="w-75 px-2 font-weight-bold"><?= $record->date_and_time_of_death ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cause Of Death</td><td class="w-75 px-2 font-weight-bold"><?= $record->cause_of_death ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Pharmacy
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editPharmacy' title='Edit pharmancy?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit Pharmancy</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Pharmacy</td><td class="w-75 px-2 font-weight-bold"><?= $record->pharmacy ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Pharmacy Facility</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_facilities, 'name', [['id', '=', $record->pharmacy_facility_id], ], 'all'); ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">SSN
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_editSsn' title='Edit SSN?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Edit SSN</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Ssn</td><td class="w-75 px-2 font-weight-bold"><?= $record->ssn ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">MCN
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putMedicareInfo' title='Put MSN?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put MSN</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Mcn</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeMcn?optimised=1' title='removeMcn' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Mcn</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Was Medicare Validation Successful</td><td class="w-75 px-2 font-weight-bold"><?= $record->was_medicare_validation_successful ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Mcn Valid Number</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_mcn_valid_number ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Address Street Line1</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_address_street_line1 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Address Street Line2</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_address_street_line2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Address City</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_address_city ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Address State</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_address_state ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Address Zip</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_address_zip ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Part B Primary</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_part_b_primary ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Hospice</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_hospice ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Response Detail</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_response_detail ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Billing Address</td><td class="w-75 px-2 font-weight-bold"><?= $record->billing_address ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Reason Not Partb</td><td class="w-75 px-2 font-weight-bold"><?= $record->reason_not_partb ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Reason Not Partbmemo</td><td class="w-75 px-2 font-weight-bold"><?= $record->reason_not_partbmemo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Medicare Advantage</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_medicare_advantage ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Medicare Advantage Plan</td><td class="w-75 px-2 font-weight-bold"><?= $record->medicare_advantage_plan ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Reject Reason Code</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_reject_reason_code ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Reject Reason Description</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_reject_reason_description ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Follow Up Action Code</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_follow_up_action_code ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Follow Up Action Description</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_follow_up_action_description ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcn Error Details</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcn_error_details ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Webcam
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateWebcamInfo' title='Update webcam info?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Webcam Info</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Has Webcam Device</td><td class="w-75 px-2 font-weight-bold"><?= $record->has_webcam_device ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Webcam Device</td><td class="w-75 px-2 font-weight-bold"><?= $record->webcam_device ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">MCP
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putMcp' title='Put MCP?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put MCP</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">MCP Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->mcp_pro_id], ], 'all'); ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putMcp?optimised=1' title='putMcp' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put Mcp</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeMcp?optimised=1' title='removeMcp' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Mcp</span></a></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">MCP Visit
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateMcpOnboardingVisitInfo' title='Update source?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Source</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Has Mcp Done Onboarding Visit</td><td class="w-75 px-2 font-weight-bold"><?= $record->has_mcp_done_onboarding_visit ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcp Onboarding Visit Date</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcp_onboarding_visit_date ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcp Onboarding Visit Note Id</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcp_onboarding_visit_note_id ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Reason Onboarding Visit Note Outside System</td><td class="w-75 px-2 font-weight-bold"><?= $record->reason_onboarding_visit_note_outside_system ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Mcp Onboarding Active</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_mcp_onboarding_active ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateMcpOnboardingActiveInfo?optimised=1' title='updateMcpOnboardingActiveInfo' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Mcp Onboarding Active Info</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Is Mcp Onboarding Not Active Category</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_is_mcp_onboarding_not_active_category ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Is Mcp Onboarding Not Active Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_is_mcp_onboarding_not_active_memo ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">MCP Onboarding Pro
                <span class="ml-auto"><!-- __GROUP_ACTION__ --></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">MCP Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->mcp_onboarding_pro_id], ], 'all'); ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putMcpOnboardingPro?optimised=1' title='putMcpOnboardingPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put Mcp Onboarding Pro</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeMcpOnboardingPro?optimised=1' title='removeMcpOnboardingPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Mcp Onboarding Pro</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Has Mcp Onboarding Pro Accepted Assignment</td><td class="w-75 px-2 font-weight-bold"><?= $record->has_mcp_onboarding_pro_accepted_assignment ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_acceptAssignmentAsMcpOnboardingPro?optimised=1' title='acceptAssignmentAsMcpOnboardingPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Accept Assignment As Mcp Onboarding Pro</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_rejectAssignmentAsMcpOnboardingPro?optimised=1' title='rejectAssignmentAsMcpOnboardingPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Reject Assignment As Mcp Onboarding Pro</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcp Onboarding Pro Decision To Accept Assignment At</td><td class="w-75 px-2 font-weight-bold"><?= friendly_date_time($record->mcp_onboarding_pro_decision_to_accept_assignment_at) ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Mcp Onboarding Pro Decision Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcp_onboarding_pro_decision_memo ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateMcpOnboardingProDecisionMemo?optimised=1' title='updateMcpOnboardingProDecisionMemo' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Mcp Onboarding Pro Decision Memo</span></a></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Onboarding Strategy
                <span class="ml-auto"><!-- __GROUP_ACTION__ --></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Mcp Onboarding Strategy</td><td class="w-75 px-2 font-weight-bold"><?= $record->mcp_onboarding_strategy ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Next Mcp Onboarding Attempt Date Est</td><td class="w-75 px-2 font-weight-bold"><?= $record->next_mcp_onboarding_attempt_date_est ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateNextMcpOnboardingAttempt?optimised=1' title='updateNextMcpOnboardingAttempt' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Next Mcp Onboarding Attempt</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Next Mcp Onboarding Attempt Time Est</td><td class="w-75 px-2 font-weight-bold"><?= $record->next_mcp_onboarding_attempt_time_est ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Number Of Mcp Onboarding Phone Calls</td><td class="w-75 px-2 font-weight-bold"><?= $record->number_of_mcp_onboarding_phone_calls ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Number Of Mcp Onboarding In Person Visits</td><td class="w-75 px-2 font-weight-bold"><?= $record->number_of_mcp_onboarding_in_person_visits ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Other Key Pros
                <span class="ml-auto"><!-- __GROUP_ACTION__ --></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">CM Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->cm_pro_id], ], 'all'); ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putCmPro?optimised=1' title='putCmPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put Cm Pro</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeCmPro?optimised=1' title='removeCmPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Cm Pro</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">RME Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->rme_pro_id], ], 'all'); ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putRmePro?optimised=1' title='putRmePro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put Rme Pro</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeRmePro?optimised=1' title='removeRmePro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Rme Pro</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">RMM Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->rmm_pro_id], ], 'all'); ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putRmmPro?optimised=1' title='putRmmPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put Rmm Pro</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeRmmPro?optimised=1' title='removeRmmPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Rmm Pro</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">RD Pro</td><td class="w-75 px-2 font-weight-bold"><?= value_from_rs($result_pros, 'name_display', [['id', '=', $record->rd_pro_id], ], 'all'); ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_putRdPro?optimised=1' title='putRdPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Put Rd Pro</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_removeRdPro?optimised=1' title='removeRdPro' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Remove Rd Pro</span></a></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">MNT Eligibility
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateMntEligibility' title='Update MNT Eligibility?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update MNT Eligibility</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Eligible For Mnt</td><td class="w-75 px-2 font-weight-bold"><?= $record->eligible_for_mnt ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateMntEligibility?optimised=1' title='updateMntEligibility' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Mnt Eligibility</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Number Of Mnt Hours Left This Year</td><td class="w-75 px-2 font-weight-bold"><?= $record->number_of_mnt_hours_left_this_year ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">CM Enrollment
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateCmEligibility' title='Update CM Eligibility?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update CM Eligibility</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Eligible For Cm</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_eligible_for_cm ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Eligible For Cm Category</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_eligible_for_cm_category ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Eligible For Cm Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_eligible_for_cm_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Enrolled In Cm</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_enrolled_in_cm ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsEnrolledInCmToFalse?optimised=1' title='setIsEnrolledInCmToFalse' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set Is Enrolled In Cm To False</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsEnrolledInCmToTrue?optimised=1' title='setIsEnrolledInCmToTrue' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set Is Enrolled In Cm To True</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cm Reason1</td><td class="w-75 px-2 font-weight-bold"><?= $record->cm_reason1 ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateCmReasons?optimised=1' title='updateCmReasons' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Cm Reasons</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cm Reason2</td><td class="w-75 px-2 font-weight-bold"><?= $record->cm_reason2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cm Enrollment Consent Method</td><td class="w-75 px-2 font-weight-bold"><?= $record->cm_enrollment_consent_method ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateCmEnrollmentConsentInfo?optimised=1' title='updateCmEnrollmentConsentInfo' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Cm Enrollment Consent Info</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateWhyNotEnrolledInCm?optimised=1' title='updateWhyNotEnrolledInCm' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Why Not Enrolled In Cm</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Cm Enrollment Consent Method Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->cm_enrollment_consent_method_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Enrolled In Cm Category</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_enrolled_in_cm_category ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Enrolled In Cm Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_enrolled_in_cm_memo ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">RM Enrollment
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateRmEligibility' title='Update why not enrolled in RM?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Why Not Enrolled In RM</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Eligible For Rm</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_eligible_for_rm ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateRmEligibility?optimised=1' title='updateRmEligibility' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Rm Eligibility</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Eligible For Rm Category</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_eligible_for_rm_category ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Eligible For Rm Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_eligible_for_rm_memo ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Enrolled In Rm</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_enrolled_in_rm ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsEnrolledInRmToFalse?optimised=1' title='setIsEnrolledInRmToFalse' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set Is Enrolled In Rm To False</span></a>
<a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_setIsEnrolledInRmToTrue?optimised=1' title='setIsEnrolledInRmToTrue' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Set Is Enrolled In Rm To True</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Rm Reason1</td><td class="w-75 px-2 font-weight-bold"><?= $record->rm_reason1 ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateRmReasons?optimised=1' title='updateRmReasons' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Rm Reasons</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Rm Reason2</td><td class="w-75 px-2 font-weight-bold"><?= $record->rm_reason2 ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Enrolled In Rm Category</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_enrolled_in_rm_category ?><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateWhyNotEnrolledInRm?optimised=1' title='updateWhyNotEnrolledInRm' class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Why Not Enrolled In Rm</span></a></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Why Not Enrolled In Rm Memo</td><td class="w-75 px-2 font-weight-bold"><?= $record->why_not_enrolled_in_rm_memo ?></td></tr>
        </tbody>
    </table>
</div>

<div class="table-responsive p-0 bg-white table-sm mb-3">
    <table class="table table-hover text-nowrap table-striped border-left border-right border-bottom">
        <thead>
        <tr>
            <th colspan="2" class="px-2">Equipment
                <span class="ml-auto"><a up-modal=".form-contents" up-preload up-delay="25" up-width="800" up-history="false" href='/clients/view/<?= $record->uid ?>/ACTION_updateEquipmentInfo' title='Update equipment info?optimised=1'class='mx-2 font-weight-normal text-primary text-xs'><i class='fa fa-circle'></i>&nbsp;<span>Update Equipment Info</span></a></span>
            </th>
        </tr>
        </thead>
        <tbody>
            <tr><td class="w-25 px-2 text-secondary border-right">Is Equipment Awaiting Setup</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_equipment_awaiting_setup ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">What Equipment Is Awaiting Setup</td><td class="w-75 px-2 font-weight-bold"><?= $record->what_equipment_is_awaiting_setup ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Equipment Setup Completed</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_equipment_setup_completed ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">What Equipment Setup Is Completed</td><td class="w-75 px-2 font-weight-bold"><?= $record->what_equipment_setup_is_completed ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">Is Equipment Service Needed</td><td class="w-75 px-2 font-weight-bold"><?= $record->is_equipment_service_needed ?></td></tr>
<tr><td class="w-25 px-2 text-secondary border-right">What Equipment Service Is Needed</td><td class="w-75 px-2 font-weight-bold"><?= $record->what_equipment_service_is_needed ?></td></tr>
        </tbody>
    </table>
</div>


    </div>
</div>


@endsection
