@extends('pro.my_clients.view')
@section('content-inner')

    <div class="form-contents"><div class="failed-form-contents">

    <h4 class="d-flex m-0 p-3 stag-heading stag-heading-modal">
        <div>Update Equipment Info</div>
        <div class="ml-auto">
            <a class="text-secondary" href="#" up-close>
                <i class="fa fa-times"></i>
            </a>
        </div>
    </h4>

    <form action="/post-to-api"
          up-target="#main-content" up-history="false" up-fail-target=".failed-form-contents" up-reveal="false"
          method="post" enctype="multipart/form-data"
          class="border-top px-3 pt-3 pb-1 custom-submit">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_uid" value="{{ $record->uid }}">
        <input type="hidden" name="_api" value="/api/client/updateEquipmentInfo">
        <input type="hidden" name="_success" value="{{route('my_clients-view', ['uid' => $record->uid])}}">
        <input type="hidden" name="_return" value="{{route('my_clients_SINGLE-ACTION_updateEquipmentInfo', ['uid' => $record->uid])}}">
        <div class='form-group mb-3'>
<label class='control-label'>Is Equipment Awaiting Setup *</label>
<select class='form-control' name='isEquipmentAwaitingSetup' value='{{ old('isEquipmentAwaitingSetup') ? old('isEquipmentAwaitingSetup') : $record->is_equipment_awaiting_setup }}' required>
<option value=''>-- Select --</option>
<option <?= 'YES' === (old('isEquipmentAwaitingSetup') ? old('isEquipmentAwaitingSetup') : $record->is_equipment_awaiting_setup) ? 'selected' : '' ?> value='YES'>YES</option>
<option <?= 'NO' === (old('isEquipmentAwaitingSetup') ? old('isEquipmentAwaitingSetup') : $record->is_equipment_awaiting_setup) ? 'selected' : '' ?> value='NO'>NO</option>
<option <?= 'UNKNOWN' === (old('isEquipmentAwaitingSetup') ? old('isEquipmentAwaitingSetup') : $record->is_equipment_awaiting_setup) ? 'selected' : '' ?> value='UNKNOWN'>UNKNOWN</option>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>What Equipment Is Awaiting Setup </label>
<input class='form-control' type='text' name='whatEquipmentIsAwaitingSetup' value='{{ old('whatEquipmentIsAwaitingSetup') ? old('whatEquipmentIsAwaitingSetup') : $record->what_equipment_is_awaiting_setup }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Equipment Setup Completed *</label>
<select class='form-control' name='isEquipmentSetupCompleted' value='{{ old('isEquipmentSetupCompleted') ? old('isEquipmentSetupCompleted') : $record->is_equipment_setup_completed }}' required>
<option value=''>-- Select --</option>
<option <?= 'YES' === (old('isEquipmentSetupCompleted') ? old('isEquipmentSetupCompleted') : $record->is_equipment_setup_completed) ? 'selected' : '' ?> value='YES'>YES</option>
<option <?= 'NO' === (old('isEquipmentSetupCompleted') ? old('isEquipmentSetupCompleted') : $record->is_equipment_setup_completed) ? 'selected' : '' ?> value='NO'>NO</option>
<option <?= 'UNKNOWN' === (old('isEquipmentSetupCompleted') ? old('isEquipmentSetupCompleted') : $record->is_equipment_setup_completed) ? 'selected' : '' ?> value='UNKNOWN'>UNKNOWN</option>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>What Equipment Setup Is Completed </label>
<input class='form-control' type='text' name='whatEquipmentSetupIsCompleted' value='{{ old('whatEquipmentSetupIsCompleted') ? old('whatEquipmentSetupIsCompleted') : $record->what_equipment_setup_is_completed }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Is Equipment Service Needed *</label>
<select class='form-control' name='isEquipmentServiceNeeded' value='{{ old('isEquipmentServiceNeeded') ? old('isEquipmentServiceNeeded') : $record->is_equipment_service_needed }}' required>
<option value=''>-- Select --</option>
<option <?= 'YES' === (old('isEquipmentServiceNeeded') ? old('isEquipmentServiceNeeded') : $record->is_equipment_service_needed) ? 'selected' : '' ?> value='YES'>YES</option>
<option <?= 'NO' === (old('isEquipmentServiceNeeded') ? old('isEquipmentServiceNeeded') : $record->is_equipment_service_needed) ? 'selected' : '' ?> value='NO'>NO</option>
<option <?= 'UNKNOWN' === (old('isEquipmentServiceNeeded') ? old('isEquipmentServiceNeeded') : $record->is_equipment_service_needed) ? 'selected' : '' ?> value='UNKNOWN'>UNKNOWN</option>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>What Equipment Service Is Needed </label>
<input class='form-control' type='text' name='whatEquipmentServiceIsNeeded' value='{{ old('whatEquipmentServiceIsNeeded') ? old('whatEquipmentServiceIsNeeded') : $record->what_equipment_service_is_needed }}' >
</div>
        <div class="form-group mb-3 d-flex justify-content-center">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('my_clients-view', ['uid' => $record->uid])}}" class="btn btn-sm btn-default px-5" up-close>Cancel</a>
        </div>
    </form>

    </div></div>

@endsection
