@extends('pro.my_teams.view')
@section('content-inner')

    <div class="form-contents"><div class="failed-form-contents">

    <h4 class="d-flex m-0 p-3">
        <div>Clients Add New</div>
        <div class="ml-auto">
            <a class="text-secondary" href="#" up-close>
                <i class="fa fa-times"></i>
            </a>
        </div>
    </h4>

    <form action="/post-to-api"
          up-target="#main-content" up-history="false" up-fail-target=".failed-form-contents" up-reveal="true"
          method="post" enctype="multipart/form-data"
          class="border-top px-3 pt-3 pb-1 custom-submit">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_uid" value="{{ $record->uid }}">
        <input type="hidden" name="_api" value="/api/client/create">
        <input type="hidden" name="_success" value="{{route('my_teams_SINGLE-SUB_clients', ['uid' => $record->uid])}}">
        <input type="hidden" name="_return" value="{{route('my_teams_SINGLE-ACTION_clientsAddNew', ['uid' => $record->uid])}}">
        <input class='form-control' type='hidden' name='teamUid' value='{{ old('teamUid') ? old('teamUid') : $record->uid }}' >
<div class='form-group mb-3'>
<label class='control-label'>Name Display *</label>
<input class='form-control' type='text' name='nameDisplay' value='{{ old('nameDisplay') ? old('nameDisplay') : '' }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Prefix </label>
<input class='form-control' type='text' name='namePrefix' value='{{ old('namePrefix') ? old('namePrefix') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name First *</label>
<input class='form-control' type='text' name='nameFirst' value='{{ old('nameFirst') ? old('nameFirst') : '' }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Middle </label>
<input class='form-control' type='text' name='nameMiddle' value='{{ old('nameMiddle') ? old('nameMiddle') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Last *</label>
<input class='form-control' type='text' name='nameLast' value='{{ old('nameLast') ? old('nameLast') : '' }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Suffix </label>
<input class='form-control' type='text' name='nameSuffix' value='{{ old('nameSuffix') ? old('nameSuffix') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Credential </label>
<input class='form-control' type='text' name='nameCredential' value='{{ old('nameCredential') ? old('nameCredential') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Gender *</label>
<select class='form-control' name='gender' value='{{ old('gender') ? old('gender') : '' }}' required>
<option value=''>-- Select --</option>
<option <?= 'M' === (old('gender') ? old('gender') : '') ? 'selected' : '' ?> value='M'>M</option>
<option <?= 'F' === (old('gender') ? old('gender') : '') ? 'selected' : '' ?> value='F'>F</option>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Date Of Birth *</label>
<input class='form-control' type='date' name='dateOfBirth' value='{{ old('dateOfBirth') ? old('dateOfBirth') : '' }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Cell Number *</label>
<input class='form-control' type='tel' name='cellNumber' value='{{ old('cellNumber') ? old('cellNumber') : '' }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Email Address *</label>
<input class='form-control' type='email' name='emailAddress' value='{{ old('emailAddress') ? old('emailAddress') : '' }}' required>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Medicare Number </label>
<input class='form-control' type='text' name='medicareNumber' value='{{ old('medicareNumber') ? old('medicareNumber') : '' }}' >
</div>
        <div class="form-group mb-3 d-flex justify-content-center">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('my_teams_SINGLE-SUB_clients', ['uid' => $record->uid])}}" class="btn btn-sm btn-default px-5" up-close>Cancel</a>
        </div>
    </form>

    </div></div>

@endsection
