@extends('layouts.pro-logged-in')
@section('content')

    <h3 class="d-flex mb-3">
        <div>Notes: Add New</div>
        <div class="ml-auto">
            <a class="btn btn-primary btn-sm" href="{{route('notes-index')}}">
                <i class="fa fa-chevron-left" aria-hidden="true"></i>
                Back
            </a>
        </div>
    </h3>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_api" value="/api/note/create">
        <input type="hidden" name="_success" value="{{route('notes-index')}}">
        <input type="hidden" name="_return" value="{{route('notes-add_new')}}">
        <div class='form-group mb-3'>
<label class='control-label'>Client</label>
<select class='form-control' name='clientUid' value='{{ old('clientUid') ? old('clientUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('client')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('clientUid') ? old('clientUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Hcp Pro</label>
<select class='form-control' name='hcpProUid' value='{{ old('hcpProUid') ? old('hcpProUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('hcpProUid') ? old('hcpProUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Ally Pro</label>
<select class='form-control' name='allyProUid' value='{{ old('allyProUid') ? old('allyProUid') : '' }}' >
<option value=''>-- Select --</option>
<?php $dbOptions = \Illuminate\Support\Facades\DB::table('pro')->get(); ?>
<?php foreach($dbOptions as $o): ?>
<option <?= $o->uid === (old('allyProUid') ? old('allyProUid') : '') ? 'selected' : '' ?> value='<?= $o->uid ?>'><?= $o->name_display ?> (<?= $o->uid ?>)</option>
<?php endforeach; ?>
</select>
</div>
<div class='form-group mb-3'>
<label class='control-label'>Effective Date EST</label>
<input class='form-control' type='date' name='effectiveDateEST' value='{{ old('effectiveDateEST') ? old('effectiveDateEST') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Effective Time</label>
<input class='form-control' type='time' name='effectiveTime' value='{{ old('effectiveTime') ? old('effectiveTime') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 1</label>
<input class='form-control' type='text' name='reason1' value='{{ old('reason1') ? old('reason1') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 2</label>
<input class='form-control' type='text' name='reason2' value='{{ old('reason2') ? old('reason2') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 3</label>
<input class='form-control' type='text' name='reason3' value='{{ old('reason3') ? old('reason3') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Reason 3Plus</label>
<input class='form-control' type='text' name='reason3Plus' value='{{ old('reason3Plus') ? old('reason3Plus') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Service Location</label>
<input class='form-control' type='text' name='serviceLocation' value='{{ old('serviceLocation') ? old('serviceLocation') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Category</label>
<input class='form-control' type='text' name='category' value='{{ old('category') ? old('category') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Content Text</label>
<input class='form-control' type='text' name='contentText' value='{{ old('contentText') ? old('contentText') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Content Detail</label>
<input class='form-control' type='text' name='contentDetail' value='{{ old('contentDetail') ? old('contentDetail') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('notes-index')}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
