@extends('layouts.login')

@section('content')

    <div class="border-0 rounded-0 mcp-theme-1 bg-transparent">
        <div class="card-header text-center font-weight-bold">
            Setup Security Questions
        </div>
        <div class="card-body bg-transparent">
            @if(session()->has('message'))
                <div class="alert alert-danger">
                    {{session('message')}}
                </div>
            @endif
            <form action="/set_security_questions" method="POST">
                @csrf
                <div class="form-group">
                    <label for="" class="control-label mb-1 text-secondary">Security Question 1 *</label>
                    <select autofocus class="form-control" name="securityQuestion1" required>
                        <option value="">-- select --</option>
                        <option value="Your mother's maiden name?">What is your mother's maiden name?</option>
                        <option value="Name of your first pet?">What is the name of your first pet?</option>
                        <option value="Brand of your first car?">What was your first car?</option>
                        <option value="The elementary school did attended?">What elementary school did you attend?</option>
                        <option value="The City you were born?">What is the name of the town where you were born?</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="" class="control-label mb-1 text-secondary">Security Answer 1 *</label>
                    <input type="text" class="form-control" value="" name="securityAnswer1" required>
                </div>
                <div class="form-group">
                    <label for="" class="control-label mb-1 text-secondary">Security Question 2 *</label>
                    <select autofocus class="form-control" name="securityQuestion2" required>
                        <option value="">-- select --</option>
                        <option value="Your favorite book?">What is your favorite book?</option>
                        <option value="The first company that you worked for">The first company that you worked for</option>
                        <option value="Where did you meet your spouse?">Where did you meet your spouse?</option>
                        <option value="What is your favorite food?">What is your favorite food?</option>
                        <option value="Your favorite place to vacation?">Your favorite place to vacation?</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="" class="control-label mb-1 text-secondary">Security Answer 2 *</label>
                    <input type="text" class="form-control" value="" name="securityAnswer2" required>
                </div>
                <div class="form-group mb-0 text-center">
                    <button class="btn btn-primary btn-sm px-4 py-2">Submit</button>
                </div>
            </form>
        </div>
    </div>

@endsection
